import { INormalizedModules, ISandboxFile, ISandboxDirectory } from 'types';
import { ITemplate } from './templates';
/**
 * Creates all relevant data for create a sandbox, like dependencies and which
 * files are in a sandbox
 *
 * @export SandboxObject
 * @param {Array<Module>} files
 * @param {Array<Module>} directories
 */
export default function createSandbox(directory: INormalizedModules): Promise<{
    title: any;
    description: any;
    tags: any;
    modules: ISandboxFile[];
    directories: ISandboxDirectory[];
    externalResources: never[];
    template: ITemplate;
    entry: string;
}>;
